# tiny-rl
>**_NOTE_**: Currently only stable baselines is supported out of the box

The goal of this repository is to make an easy-to-use framework that wraps the QPD algorithm to compress models of RL policies.


## Installation
First these libraries are required to install.
``` sh
sudo apt update
sudo apt install libpng-dev libjpeg-dev zlib1g-dev 
```
Afterwards install the python library.
>**_Important_**: Make sure u use python version 3.10.*, setup tools version 65.0 and wheel 0.38.0
``` sh
conda create -n compression python=3.10
conda activate compression
python -m pip install setuptools==65.0 wheel==0.38.4
python -m pip install -e .
```

## Currently supported
- A2C
- PPO
- DQN
- QRDQN
- SAC

## Cheetah env installation if used with conda
``` sh
conda install -c conda-forge xorg-libx11
conda install -c conda-forge glew
conda install -c conda-forge mesalib
conda install -c menpo glfw3
```