import qpd.config as config
from qpd.networks.network_interface import NetworkInterface

import qpd.networks.wrapper as wrapper

class ModelWrapper(NetworkInterface):
    algorithm_type = None

    def __init__(self, config: "config.Config", model):
        super(ModelWrapper, self).__init__(config)
        self.original_type = type(model)
        self.policy = None

    def construct_student(self):
        raise NotImplementedError("Construct student method not implemented!")

    @staticmethod
    def construct_wrapper(config, model):
        return next(teacher for teacher in wrapper.registered_teachers if teacher.algorithm_type == type(model))(config, model)