from ..wrapper_decorator import wrapper
import qpd.networks.wrapper.stable_baselines.value_iteration as sbvi
from sb3_contrib import QRDQN

@wrapper
class WrapperQRDQN(sbvi.WrapperValueIteration):
    algorithm_type = QRDQN

    def forward(self, obs):
        self.observation = obs
        self.q_values = self.policy.quantile_net(self.observation)
        return self.q_values.view(-1, self.policy.n_quantiles, self.policy.action_space.n).mean(dim=1), None, None