from typing import Type
import torch as th
import torch.nn as nn
from gym import spaces 

class StudentNet(nn.Module):
    def __init__(self, observation_space: spaces.Box, n_output: int):
        super(StudentNet, self).__init__()

        self._n_output = n_output

    @property
    def features_dim(self):
        return self._n_output